Skip to content
GET /unified/calendar/calendars

Query Parameters

Refer Specifying query parameters in Truto APIs

access_roleobject

The access role on the calendar for the authenticated user.

1 supported
Outlook Calendar
supported
idstring

The unique identifier of the access role.

namestring

The name of the access role.

Possible values:
freebusyownerreaderwriter
statusstring

By default, inactive calendars are not included in the response. To include them, set this parameter to "inactive". The "active" calendars are always included in the response.

Possible values:
activeinactive
2 supported
Google
supported
Google Calendar
supported
visibilitystring

By default, private calendars are not included in the response. To include them, set this parameter to "private". The "public" calendars are always included in the response.

Possible values:
privatepublic
2 supported
Google
supported
Google Calendar
supported
userobject

The user whose calendars are to be retrieved.

1 supported
Outlook Calendar
supported
idstring
required·

The unique identifier of the user.

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Calendars

idstring
required·

The unique identifier of the calendar.

4 supported
Cal.com
supported
Google
supported
Google Calendar
supported
Outlook Calendar
supported
access_roleobject

The access role on the calendar for the authenticated user.

1 supported
Outlook Calendar
supported
2 properties
idstring

The unique identifier of the access role.

namestring

The name of the access role.

Possible values:
ownerreaderwriterfreebusy
colorsobject

The colors associated with the calendar.

3 supported
Google
supported
Google Calendar
supported
Outlook Calendar
supported
2 properties
backgroundstring

The background color of the calendar.

foregroundstring

The foreground color of the calendar.

created_atstring · date-time

The date when the calendar was created.

descriptionstring

The description of the calendar.

3 supported
Cal.com
supported
Google
supported
Google Calendar
supported
is_defaultboolean

Indicates if the calendar is the default calendar of the user.

3 supported
Google
supported
Google Calendar
supported
Outlook Calendar
supported
locationobject

The location of the calendar.

2 supported
Google
supported
Google Calendar
supported
2 properties
idstring

The unique identifier of the location.

namestring

The name of the location.

namestring

The name of the calendar.

4 supported
Cal.com
supported
Google
supported
Google Calendar
supported
Outlook Calendar
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the calendar.

Possible values:
activeinactive
2 supported
Google
supported
Google Calendar
supported
timezonestring

The timezone of the calendar.

2 supported
Google
supported
Google Calendar
supported
updated_atstring · date-time

The date when the calendar was updated.

visibilitystring

The visibility of the calendar.

Possible values:
publicprivate
2 supported
Google
supported
Google Calendar
supported
curl -X GET 'https://api.truto.one/unified/calendar/calendars?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/calendar/calendars?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/calendar/calendars"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'calendar',
  'calendars',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "calendar",
        "calendars",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())